searchData={"items":[{"type":"module","title":"AshSanity","doc":"Documentation for `AshSanity`.","ref":"AshSanity.html"},{"type":"module","title":"AshSanity.CMS","doc":"Defines a CMS.\n\nA CMS maps to an underlying Sanity instance.\n\nWhen used, the CMS expects the `:otp_app` \noption. The `:otp_app` should point to an OTP application that has\nthe CMS configuration. For example, the CMS:\n\n    defmodule CMS do\n      use AshSanity.CMS,\n        otp_app: :my_app\n    end\n\nCould be configured with:\n\n    config :my_app, CMS,\n      project_id: \"my_project_id\",\n      dataset: \"production\",\n      token: \"my_sanity_api_token\",\n      cdn: true,\n      perspective: \"published\"","ref":"AshSanity.CMS.html"},{"type":"type","title":"AshSanity.CMS.t/0","doc":"","ref":"AshSanity.CMS.html#t:t/0"},{"type":"module","title":"AshSanity.DataLayer","doc":"Implementation of the Ash.DataLayer behaviour for Sanity.","ref":"AshSanity.DataLayer.html"},{"type":"function","title":"AshSanity.DataLayer.can?/2","doc":"","ref":"AshSanity.DataLayer.html#can?/2"},{"type":"function","title":"AshSanity.DataLayer.cast_document/2","doc":"","ref":"AshSanity.DataLayer.html#cast_document/2"},{"type":"function","title":"AshSanity.DataLayer.cast_documents/2","doc":"","ref":"AshSanity.DataLayer.html#cast_documents/2"},{"type":"function","title":"AshSanity.DataLayer.filter/3","doc":"","ref":"AshSanity.DataLayer.html#filter/3"},{"type":"function","title":"AshSanity.DataLayer.limit/3","doc":"","ref":"AshSanity.DataLayer.html#limit/3"},{"type":"function","title":"AshSanity.DataLayer.offset/3","doc":"","ref":"AshSanity.DataLayer.html#offset/3"},{"type":"function","title":"AshSanity.DataLayer.resource_to_query/2","doc":"","ref":"AshSanity.DataLayer.html#resource_to_query/2"},{"type":"function","title":"AshSanity.DataLayer.run_query/3","doc":"","ref":"AshSanity.DataLayer.html#run_query/3"},{"type":"function","title":"AshSanity.DataLayer.select/3","doc":"","ref":"AshSanity.DataLayer.html#select/3"},{"type":"function","title":"AshSanity.DataLayer.sort/3","doc":"","ref":"AshSanity.DataLayer.html#sort/3"},{"type":"module","title":"AshSanity.DataLayer.Info","doc":"Introspection functions for AshSanity CMS","ref":"AshSanity.DataLayer.Info.html"},{"type":"function","title":"AshSanity.DataLayer.Info.cms/1","doc":"","ref":"AshSanity.DataLayer.Info.html#cms/1"},{"type":"function","title":"AshSanity.DataLayer.Info.type/1","doc":"","ref":"AshSanity.DataLayer.Info.html#type/1"},{"type":"module","title":"AshSanity.Query","doc":"Query helpers for AshSanity","ref":"AshSanity.Query.html"},{"type":"function","title":"AshSanity.Query.build/1","doc":"","ref":"AshSanity.Query.html#build/1"},{"type":"module","title":"AshSanity.Type.Reference","doc":"Represents a struct.\n\nThis cannot be loaded from a database, it can only be used to cast input.\n\nUse the `instance_of` constraint to specify that it must be an instance of a specific struct.","ref":"AshSanity.Type.Reference.html"},{"type":"module","title":"AshSanity.Type.Slug","doc":"Custom type to support Sanity slugs.\n\nhttps://www.sanity.io/docs/slug-type","ref":"AshSanity.Type.Slug.html"},{"type":"module","title":"AshSanity.Utils","doc":"Helpers for AshSanity","ref":"AshSanity.Utils.html"},{"type":"function","title":"AshSanity.Utils.camelize/1","doc":"","ref":"AshSanity.Utils.html#camelize/1"},{"type":"function","title":"AshSanity.Utils.capitalize/1","doc":"","ref":"AshSanity.Utils.html#capitalize/1"},{"type":"function","title":"AshSanity.Utils.lowercase/1","doc":"","ref":"AshSanity.Utils.html#lowercase/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}